Bug 127755 - Tango icon theme needs different icons for module and library
Summary: Tango icon theme needs different icons for module and library
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.3.1.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Icon-Request Icon-Theme-Tango
  Show dependency treegraph
 
Reported: 2019-09-25 09:13 UTC by Nukool Chompuparn
Modified: 2020-04-14 13:10 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Icon of Module in IDE is the same as of Library. (59.80 KB, image/jpeg)
2019-09-25 09:16 UTC, Nukool Chompuparn
Details
Version: 6.4.0.0.alpha1+ (131.48 KB, image/jpeg)
2019-11-09 05:06 UTC, Nukool Chompuparn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nukool Chompuparn 2019-09-25 09:13:43 UTC
Description:
It should be different as in OOo.

Steps to Reproduce:
1. Create new Module
2.
3.

Actual Results:
Icon of Module in IDE is the same as of Library

Expected Results:
They should not be the same icon.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Nukool Chompuparn 2019-09-25 09:16:50 UTC
Created attachment 154470 [details]
Icon of Module in IDE is the same as of Library.
Comment 2 Roman Kuznetsov 2019-09-25 13:56:54 UTC
What icon theme do you use in LibreOffice?
Comment 3 Nukool Chompuparn 2019-09-26 03:26:13 UTC
For the icon style, I use 'Tango'.
Comment 4 QA Administrators 2019-09-27 03:05:59 UTC Comment hidden (obsolete)
Comment 5 Heiko Tietze 2019-09-27 05:16:31 UTC
Works with Breeze, Colibre, Karasa Jaga, at least. Tango is unmaintained, so I tend to set this as WF.
Comment 6 Roman Kuznetsov 2019-09-27 07:13:03 UTC
(In reply to Heiko Tietze from comment #5)
> Works with Breeze, Colibre, Karasa Jaga, at least. Tango is unmaintained, so
> I tend to set this as WF.

We'll set it as WF only after removing of Tango theme from LibreOffice at all.
Comment 7 Nukool Chompuparn 2019-11-09 05:06:37 UTC
Created attachment 155648 [details]
Version: 6.4.0.0.alpha1+

I have installed :
Version: 6.4.0.0.alpha1+
Build ID: 145672243d16a827dfd14a7b4e5cc0b7dd6f8751
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-11-08_14:25:34
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

Tango has not been removed yet.
Or will it be removed after such version ?
Comment 8 Heiko Tietze 2019-11-11 10:42:03 UTC
(In reply to Nukool Chompuparn from comment #7)
> Tango has not been removed yet.
> Or will it be removed after such version ?

There are no plans yet to remove Tango. Though we do not have a maintainer who would draw a different icon. If you want to step in you are very welcome. Code pointer and support granted.
Comment 9 Rizal Muttaqin 2019-11-11 13:42:44 UTC
(In reply to Heiko Tietze from comment #8)
> There are no plans yet to remove Tango. Though we do not have a maintainer
> who would draw a different icon. If you want to step in you are very
> welcome. Code pointer and support granted.

If we have no plan to remove Tango, this typical bug will occur again and again as the icons evolves through the time.
Comment 10 Adolfo Jayme 2020-04-14 12:05:11 UTC
Tango is removed from 7.0. → WONTFIX
Comment 11 Heiko Tietze 2020-04-14 13:10:54 UTC Comment hidden (obsolete)